Package org.eclipse.rdf4j.spring.tx

## Class TransactionObject

- java.lang.Object
- - org.eclipse.rdf4j.spring.tx.TransactionObject

- All Implemented Interfaces:
    `Flushable`, `org.springframework.transaction.support.SmartTransactionObject`

      public class TransactionObject
      extends Object
      implements org.springframework.transaction.support.SmartTransactionObject

  Since:
    4.0.0
  Author:
    ameingast@gmail.com, Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionObject​(RepositoryConnection connection)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `flush()` |
    `RepositoryConnection` | `getConnection()` |
    `int` | `getIsolationLevel()` |
    `String` | `getName()` |
    `int` | `getPropagationBehavior()` |
    `int` | `getTimeout()` |
    `boolean` | `isExisting()` |
    `boolean` | `isReadOnly()` |
    `boolean` | `isRollbackOnly()` |
    `void` | `setExisting​(boolean existing)` |
    `void` | `setIsolationLevel​(int isolationLevel)` |
    `void` | `setName​(String name)` |
    `void` | `setPropagationBehavior​(int propagationBehavior)` |
    `void` | `setReadOnly​(boolean readOnly)` |
    `void` | `setRollbackOnly​(boolean rollbackOnly)` |
    `void` | `setTimeout​(int timeout)` |
    `String` | `toString()` |
    `void` | `wrapConnection​(Function<RepositoryConnection,​RepositoryConnection> wrapper)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionObject

          public TransactionObject​(RepositoryConnection connection)

  - ### Method Detail

    - #### getConnection

          public RepositoryConnection getConnection()

    - #### wrapConnection

          public void wrapConnection​(Function<RepositoryConnection,​RepositoryConnection> wrapper)

    - #### setExisting

          public void setExisting​(boolean existing)

    - #### isExisting

          public boolean isExisting()

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### isRollbackOnly

          public boolean isRollbackOnly()

      Specified by:
        `isRollbackOnly` in interface `org.springframework.transaction.support.SmartTransactionObject`

    - #### setRollbackOnly

          public void setRollbackOnly​(boolean rollbackOnly)

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public void setTimeout​(int timeout)

    - #### getIsolationLevel

          public int getIsolationLevel()

    - #### setIsolationLevel

          public void setIsolationLevel​(int isolationLevel)

    - #### getPropagationBehavior

          public int getPropagationBehavior()

    - #### setPropagationBehavior

          public void setPropagationBehavior​(int propagationBehavior)

    - #### isReadOnly

          public boolean isReadOnly()

    - #### setReadOnly

          public void setReadOnly​(boolean readOnly)

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in interface `org.springframework.transaction.support.SmartTransactionObject`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`